Subject: timed goal in SWI-Prolog

From: Fangzhen Lin <[email-masked]>
Date: Thu, 17 Feb 2000 22:28:50 +0800 (HKT)

Hi. Is there any way to try a goal for a certain amount of time and
fail it when it does not return when the time is up. I mean something
like time(X,T): it returns "yes" if X succeeds in less than T seconds,
and "no" if either the goal X does not return in T seconds or X returns
"no".

Thanks in advance.

-Fangzhen Lin